<?php
/*
 // "YouTube Videos" Plugin by JoomlaWorks for K2 v2.x - Version 1.0
 // Copyright (c) 2006 - 2009 JoomlaWorks Ltd. All rights reserved.
 // Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 // More info at http://www.joomlaworks.gr
 // Designed and developed by the JoomlaWorks team
 // *** Last update: June 20th, 2009 ***
 */

// no direct access
defined('_JEXEC') or die ('Restricted access');
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'lib'.DS.'k2plugin.php');

/**
 * Example K2 Plugin to render YouTube URLs entered in backend K2 forms to video players in the frontend.
 */

class plgK2Maps extends K2Plugin {

	// Some params
	var $pluginName = 'maps';
	var $pluginNameHumanReadable = 'Google Maps';

	function plgK2Youtube( & $subject, $params) {
	
		parent::__construct($subject, $params);
	}

	// Event to display in the frontend the YouTube URL as entered in the item form
	function onK2AfterDisplayContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
	
		$plugin = & JPluginHelper::getPlugin('k2', 'maps');
		$pluginParams = new JParameter($plugin->params);
	
		$plugins = new K2Parameter($item->plugins, '', $this->pluginName);
		$longitude = $plugins->get('longitude');
		$latitude = $plugins->get('latitude');
		$marker = $plugins->get('marker');
		$color = $plugins->get('color');
		$zoom = $plugins->get('zoom', 12);
		$width = $plugins->get('width', 400);
		$height = $plugins->get('height', 200);
		$type = $plugins->get('type', 'roadmap');

		if ($longitude=="") {
		$output ='';
		}
		else {
		$output = '<img src="http://maps.google.com/maps/api/staticmap?center='.$longitude.','.$latitude.'&zoom='.$zoom.'&size='.$width.'x'.$height.'&maptype='.$type.'
&markers=color:'.$color.'|label:'.$marker.'|'.$longitude.','.$latitude.'&sensor=false"/>';
		}
	
		return $output;
	}
}